<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Debug utilities</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d62/group___debug.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Debug utilities</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d7/d90/group___debug_u_i"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d90/group___debug_u_i.html">Debug UI API</a></td></tr>
<tr class="memdesc:d7/d90/group___debug_u_i"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immediate mode debug UI APIPer frame usage example: <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d6/dae/group___debug_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dae/group___debug_shape.html">Debug Shape API definition</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga750f272dd3e344b461130dece1aea917"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> </td></tr>
<tr class="separator:ga750f272dd3e344b461130dece1aea917"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa4d19de31eba89ee469662c1faf6fa21"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gaa4d19de31eba89ee469662c1faf6fa21">DumpStack</a> ()</td></tr>
<tr class="memdesc:gaa4d19de31eba89ee469662c1faf6fa21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints current call stack (stack trace)  <a href="../../d0/d62/group___debug.html#gaa4d19de31eba89ee469662c1faf6fa21">More...</a><br /></td></tr>
<tr class="separator:gaa4d19de31eba89ee469662c1faf6fa21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac561f7f718bab6558d9c5c70c3fdb1c3"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gac561f7f718bab6558d9c5c70c3fdb1c3">DumpStackString</a> (out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> stack)</td></tr>
<tr class="memdesc:gac561f7f718bab6558d9c5c70c3fdb1c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints current call stack (stack trace) to given output.  <a href="../../d0/d62/group___debug.html#gac561f7f718bab6558d9c5c70c3fdb1c3">More...</a><br /></td></tr>
<tr class="separator:gac561f7f718bab6558d9c5c70c3fdb1c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0d90421a3875b8c64b8ea486b83f981"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gac0d90421a3875b8c64b8ea486b83f981">DebugBreak</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> condition=true, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</td></tr>
<tr class="memdesc:gac0d90421a3875b8c64b8ea486b83f981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers breakpoint in C++ in run time(when app is running in debug enviroment)  <a href="../../d0/d62/group___debug.html#gac0d90421a3875b8c64b8ea486b83f981">More...</a><br /></td></tr>
<tr class="separator:gac0d90421a3875b8c64b8ea486b83f981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1cfebf89ea5d93babe726a08bd3bcfe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gaf1cfebf89ea5d93babe726a08bd3bcfe">CompileBreak</a> ()</td></tr>
<tr class="memdesc:gaf1cfebf89ea5d93babe726a08bd3bcfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers breakpoint in C++ in compile time(when app is running in debug enviroment)  <a href="../../d0/d62/group___debug.html#gaf1cfebf89ea5d93babe726a08bd3bcfe">More...</a><br /></td></tr>
<tr class="separator:gaf1cfebf89ea5d93babe726a08bd3bcfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad40897900c6420e1c23bace98c84e7c7"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gad40897900c6420e1c23bace98c84e7c7">DPrint</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> var)</td></tr>
<tr class="memdesc:gad40897900c6420e1c23bace98c84e7c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of variable to console/log. Should be used for critical messages so it will appear in debug log.  <a href="../../d0/d62/group___debug.html#gad40897900c6420e1c23bace98c84e7c7">More...</a><br /></td></tr>
<tr class="separator:gad40897900c6420e1c23bace98c84e7c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac08bb050be562fd77ef53c878ee4ff8e"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gac08bb050be562fd77ef53c878ee4ff8e">ErrorEx</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err, <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> severity=<a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ErrorExSeverity.ERROR</a>)</td></tr>
<tr class="memdesc:gac08bb050be562fd77ef53c878ee4ff8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error message, prefixed by method name, above 'INFO' will show a messagebox.  <a href="../../d0/d62/group___debug.html#gac08bb050be562fd77ef53c878ee4ff8e">More...</a><br /></td></tr>
<tr class="separator:gac08bb050be562fd77ef53c878ee4ff8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafbdd16891ac41a6715bdb5dd9609ecf3"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gafbdd16891ac41a6715bdb5dd9609ecf3">ErrorExString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> str, <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> severity=<a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ErrorExSeverity.ERROR</a>)</td></tr>
<tr class="separator:gafbdd16891ac41a6715bdb5dd9609ecf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0fa3cc438c5e129c6cb1ccfd7ad91245"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#ga0fa3cc438c5e129c6cb1ccfd7ad91245">Error2</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> title, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err)</td></tr>
<tr class="memdesc:ga0fa3cc438c5e129c6cb1ccfd7ad91245"><td class="mdescLeft">&#160;</td><td class="mdescRight">Messagebox with error message.  <a href="../../d0/d62/group___debug.html#ga0fa3cc438c5e129c6cb1ccfd7ad91245">More...</a><br /></td></tr>
<tr class="separator:ga0fa3cc438c5e129c6cb1ccfd7ad91245"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga786b160dafbe15abb829786ba345cb15"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">Error</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> err)</td></tr>
<tr class="memdesc:ga786b160dafbe15abb829786ba345cb15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Messagebox with error message.  <a href="../../d0/d62/group___debug.html#ga786b160dafbe15abb829786ba345cb15">More...</a><br /></td></tr>
<tr class="separator:ga786b160dafbe15abb829786ba345cb15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa9351d895a1f244a26fd635c378c536"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a> (void var)</td></tr>
<tr class="memdesc:gaaa9351d895a1f244a26fd635c378c536"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of variable to console/log.  <a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">More...</a><br /></td></tr>
<tr class="separator:gaaa9351d895a1f244a26fd635c378c536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae273d2b39046bd2d0b46d3e5132ee54c"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">PrintToRPT</a> (void var)</td></tr>
<tr class="memdesc:gae273d2b39046bd2d0b46d3e5132ee54c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of variable to RPT file (performance warning - each write means fflush! use with care)  <a href="../../d0/d62/group___debug.html#gae273d2b39046bd2d0b46d3e5132ee54c">More...</a><br /></td></tr>
<tr class="separator:gae273d2b39046bd2d0b46d3e5132ee54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafab491b31c611590d7fb40afc05962a4"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d62/group___debug.html#gafab491b31c611590d7fb40afc05962a4">PrintFormat</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fmt, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</td></tr>
<tr class="memdesc:gafab491b31c611590d7fb40afc05962a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints formated text to console/log.  <a href="../../d0/d62/group___debug.html#gafab491b31c611590d7fb40afc05962a4">More...</a><br /></td></tr>
<tr class="separator:gafab491b31c611590d7fb40afc05962a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="ga750f272dd3e344b461130dece1aea917" name="ga750f272dd3e344b461130dece1aea917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga750f272dd3e344b461130dece1aea917">&#9670;&#160;</a></span>ErrorExSeverity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d19/_en_debug_8c_source.html#l00061">61</a> of file <a class="el" href="../../d3/d19/_en_debug_8c_source.html">EnDebug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="gaf1cfebf89ea5d93babe726a08bd3bcfe" name="gaf1cfebf89ea5d93babe726a08bd3bcfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1cfebf89ea5d93babe726a08bd3bcfe">&#9670;&#160;</a></span>CompileBreak()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CompileBreak </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Triggers breakpoint in C++ in compile time(when app is running in debug enviroment) </p>

</div>
</div>
<a id="gac0d90421a3875b8c64b8ea486b83f981" name="gac0d90421a3875b8c64b8ea486b83f981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac0d90421a3875b8c64b8ea486b83f981">&#9670;&#160;</a></span>DebugBreak()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void DebugBreak </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>condition</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param1</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param2</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param3</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param4</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param5</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param6</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param7</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param8</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param9</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Triggers breakpoint in C++ in run time(when app is running in debug enviroment) </p>

</div>
</div>
<a id="gad40897900c6420e1c23bace98c84e7c7" name="gad40897900c6420e1c23bace98c84e7c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad40897900c6420e1c23bace98c84e7c7">&#9670;&#160;</a></span>DPrint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void DPrint </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints content of variable to console/log. Should be used for critical messages so it will appear in debug log. </p>

</div>
</div>
<a id="gaa4d19de31eba89ee469662c1faf6fa21" name="gaa4d19de31eba89ee469662c1faf6fa21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa4d19de31eba89ee469662c1faf6fa21">&#9670;&#160;</a></span>DumpStack()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void DumpStack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints current call stack (stack trace) </p>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> <div class="fragment"><div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaa4d19de31eba89ee469662c1faf6fa21">DumpStack</a>();</div>
<div class="ttc" id="agroup___debug_html_gaa4d19de31eba89ee469662c1faf6fa21"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaa4d19de31eba89ee469662c1faf6fa21">DumpStack</a></div><div class="ttdeci">proto void DumpStack()</div><div class="ttdoc">Prints current call stack (stack trace)</div></div>
</div><!-- fragment --></dd></dl>
<pre class="fragment">    Output:
        -- Stack trace --
       SaveFile() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler.c : 51
       SaveConfigToFile() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile.c : 114
       SaveParameterArray() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile.c : 133
       SetParameterArray() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile.c : 231
       PresetAdd() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile\ModuleLocalProfileUI.h : 46
       OnKeyPress() Scripts/mission/missionGameplay.c : 215
       OnKeyPress() Scripts/DayZGame.c : 334
       -----------------</pre> 
</div>
</div>
<a id="gac561f7f718bab6558d9c5c70c3fdb1c3" name="gac561f7f718bab6558d9c5c70c3fdb1c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac561f7f718bab6558d9c5c70c3fdb1c3">&#9670;&#160;</a></span>DumpStackString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void DumpStackString </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>stack</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints current call stack (stack trace) to given output. </p>
<dl class="section return"><dt>Returns</dt><dd><code>void</code> <div class="fragment"><div class="line"><span class="keywordtype">string</span> tmp;</div>
<div class="line">    <a class="code hl_function" href="../../d0/d62/group___debug.html#gac561f7f718bab6558d9c5c70c3fdb1c3">DumpStackString</a>(tmp);</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(tmp);</div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___debug_html_gac561f7f718bab6558d9c5c70c3fdb1c3"><div class="ttname"><a href="../../d0/d62/group___debug.html#gac561f7f718bab6558d9c5c70c3fdb1c3">DumpStackString</a></div><div class="ttdeci">proto void DumpStackString(out string stack)</div><div class="ttdoc">Prints current call stack (stack trace) to given output.</div></div>
</div><!-- fragment --></dd></dl>
<pre class="fragment">    Output:
      SaveFile() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler.c : 51
      SaveConfigToFile() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile.c : 114
      SaveParameterArray() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile.c : 133
      SetParameterArray() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile.c : 231
      PresetAdd() Scripts\Entities\Modules\ModuleBase\ModuleFileHandler\ModuleLocalProfile\ModuleLocalProfileUI.h : 46
      OnKeyPress() Scripts/mission/missionGameplay.c : 215
      OnKeyPress() Scripts/DayZGame.c : 334</pre> 
</div>
</div>
<a id="ga786b160dafbe15abb829786ba345cb15" name="ga786b160dafbe15abb829786ba345cb15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga786b160dafbe15abb829786ba345cb15">&#9670;&#160;</a></span>Error()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Error </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>err</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Messagebox with error message. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d19/_en_debug_8c_source.html#l00090">90</a> of file <a class="el" href="../../d3/d19/_en_debug_8c_source.html">EnDebug.c</a>.</p>

</div>
</div>
<a id="ga0fa3cc438c5e129c6cb1ccfd7ad91245" name="ga0fa3cc438c5e129c6cb1ccfd7ad91245"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0fa3cc438c5e129c6cb1ccfd7ad91245">&#9670;&#160;</a></span>Error2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void Error2 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>err</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Messagebox with error message. </p>

</div>
</div>
<a id="gac08bb050be562fd77ef53c878ee4ff8e" name="gac08bb050be562fd77ef53c878ee4ff8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac08bb050be562fd77ef53c878ee4ff8e">&#9670;&#160;</a></span>ErrorEx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a> ErrorEx </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>err</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>&#160;</td>
          <td class="paramname"><em>severity</em> = <code><a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ErrorExSeverity.ERROR</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Error message, prefixed by method name, above 'INFO' will show a messagebox. </p>
<dl class="section note"><dt>Note</dt><dd>Format: [className%::methodName%] :: [severity%] :: errString% </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname"></td><td></td></tr>
  </table>
  </dd>
</dl>
<p>p string Error message to use </p><div class="fragment"><div class="line"><span class="keyword">class </span>ErrorExTest</div>
<div class="line">{</div>
<div class="line">    <span class="keywordtype">void</span> ThrowWarning()</div>
<div class="line">    {</div>
<div class="line">        <span class="comment">// [ErrorExTest::ThrowWarning] :: [WARNING] :: This is a warning.</span></div>
<div class="line">        <a class="code hl_variable" href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a>(<span class="stringliteral">&quot;This is a warning.&quot;</span>, <a class="code hl_enumeration" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>.WARNING);     </div>
<div class="line">    }</div>
<div class="line">}</div>
<div class="ttc" id="agroup___debug_html_ga750f272dd3e344b461130dece1aea917"><div class="ttname"><a href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a></div><div class="ttdeci">ErrorExSeverity</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d19/_en_debug_8c_source.html#l00061">EnDebug.c:62</a></div></div>
<div class="ttc" id="agroup___debug_shape_html_ga30f13400906443efe9fb79540dc674b5"><div class="ttname"><a href="../../d6/dae/group___debug_shape.html#ga30f13400906443efe9fb79540dc674b5">ErrorEx</a></div><div class="ttdeci">enum ShapeType ErrorEx</div></div>
</div><!-- fragment --> 
</div>
</div>
<a id="gafbdd16891ac41a6715bdb5dd9609ecf3" name="gafbdd16891ac41a6715bdb5dd9609ecf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafbdd16891ac41a6715bdb5dd9609ecf3">&#9670;&#160;</a></span>ErrorExString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void ErrorExString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>err</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d62/group___debug.html#ga750f272dd3e344b461130dece1aea917">ErrorExSeverity</a>&#160;</td>
          <td class="paramname"><em>severity</em> = <code><a class="el" href="../../dc/d49/group___diag_menu.html#ga9eaada089c4de774cfc8b7aea4b9379a">ErrorExSeverity.ERROR</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gaaa9351d895a1f244a26fd635c378c536" name="gaaa9351d895a1f244a26fd635c378c536"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaa9351d895a1f244a26fd635c378c536">&#9670;&#160;</a></span>Print()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void Print </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints content of variable to console/log. </p>

</div>
</div>
<a id="gafab491b31c611590d7fb40afc05962a4" name="gafab491b31c611590d7fb40afc05962a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafab491b31c611590d7fb40afc05962a4">&#9670;&#160;</a></span>PrintFormat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void PrintFormat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>fmt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param1</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param2</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param3</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param4</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param5</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param6</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param7</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param8</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>param9</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints formated text to console/log. </p>
<div class="fragment"><div class="line"><span class="keywordtype">string</span> c = <span class="stringliteral">&quot;Peter&quot;</span>;</div>
<div class="line"><a class="code hl_function" href="../../d0/d62/group___debug.html#gafab491b31c611590d7fb40afc05962a4">PrintFormat</a>(<span class="stringliteral">&quot;Hello %1, how are you?&quot;</span>, c); <span class="comment">// prints &quot;Hello &#39;Peter&#39;, how are you?&quot;</span></div>
<div class="ttc" id="agroup___debug_html_gafab491b31c611590d7fb40afc05962a4"><div class="ttname"><a href="../../d0/d62/group___debug.html#gafab491b31c611590d7fb40afc05962a4">PrintFormat</a></div><div class="ttdeci">proto void PrintFormat(string fmt, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">Prints formated text to console/log.</div></div>
</div><!-- fragment --> 
</div>
</div>
<a id="gae273d2b39046bd2d0b46d3e5132ee54c" name="gae273d2b39046bd2d0b46d3e5132ee54c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae273d2b39046bd2d0b46d3e5132ee54c">&#9670;&#160;</a></span>PrintToRPT()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void PrintToRPT </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>var</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prints content of variable to RPT file (performance warning - each write means fflush! use with care) </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
